package com.limap.core.screen.mapper;

import com.limap.core.screen.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ScreenMapper {

    List<PondVo> getUserPonds(Long userId);

    List<AppEquipmentVo> getUserEquipments(@Param("userId") Long userId,@Param("pondIds") Long[] pondIds,@Param("deviceType")String deviceType);

    AppEquipmentVo getEquipmentById(@Param("deviceId") Long deviceId,@Param("deviceName") String deviceName);

    List<WarnVo> getWarnList(@Param("userId")Long userId,@Param("pageNum")Integer pageNum,@Param("pageSize")Integer pageSize);

    List<WarnVo> getWarnListByDevice(@Param("deviceId")Long userId,@Param("pageNum")Integer pageNum,@Param("pageSize")Integer pageSize);

    long getWarnListCount(Long userId);
    long getWarnListCountByDevice(Long deviceId);

    List<ControlSwitch> getControlSwitch(@Param("deviceId") Long deviceId);
}
